import "Turbine";
import "Turbine.UI";

_G.SliderConfig = Turbine.Object();
SliderConfig.ItemColor = Turbine.UI.Color(245/255, 222/255, 147/255);
SliderConfig.DisabledColor = Turbine.UI.Color(162/255, 162/255, 162/255);
SliderConfig.sliderLeftArrow = "Gillothrin/Items/resources/slider_leftarrow.tga";
SliderConfig.sliderLeftArrowPressed = "Gillothrin/Items/resources/slider_leftarrow_pressed.tga";
SliderConfig.sliderRightArrow = "Gillothrin/Items/resources/slider_rightarrow.tga";
SliderConfig.sliderRightArrowPressed = "Gillothrin/Items/resources/slider_rightarrow_pressed.tga";
SliderConfig.sliderBackground = "Gillothrin/Items/resources/slider_background.tga";
SliderConfig.sliderWidget = "Gillothrin/Items/resources/slider_widget.tga";
SliderConfig.sliderWidgetDisabled = "Gillothrin/Items/resources/slider_widget_ghosted.tga";

_G.TabConfig = Turbine.Object();
TabConfig.tabRight = Turbine.UI.Graphic("Gillothrin/Items/Resources/tab_tier1_middle_back_e.tga");
TabConfig.tabLeft = Turbine.UI.Graphic("Gillothrin/Items/Resources/tab_tier1_middle_back_w.tga");
TabConfig.tabRightSelected = Turbine.UI.Graphic("Gillothrin/Items/Resources/tab_tier1_middle_front_e.tga");
TabConfig.tabLeftSelected = Turbine.UI.Graphic("Gillothrin/Items/Resources/tab_tier1_middle_front_w.tga");
TabConfig.controlColor = Turbine.UI.Color(.83, .69, .28);                      -- gold,  slightly yellow
TabConfig.control2Color = Turbine.UI.Color(0.88, 0.77, 0.1);                   -- gold,  almost yellow
TabConfig.controlSelectedColor = Turbine.UI.Color(0.9, 0.85, 0.65);            -- light gold
TabConfig.whiteColor = Turbine.UI.Color(1, 1, 1);                              -- white
TabConfig.blackColor = Turbine.UI.Color(0, 0, 0);                              -- black
TabConfig.control2LightColor = Turbine.UI.Color(0.95, 0.85, 0.55);             -- light gold,  somewhat white
TabConfig.dialogBackgroundColor = Turbine.UI.Color(0.92, 0, 0, 0);
TabConfig.highlightColor = Turbine.UI.Color(.92, 40/255, 67/255, 122/255);     -- bluish highlight color, slightly transparent
TabConfig.controlDisabledColor = Turbine.UI.Color(.79, .79, .79);              -- grey      